mgorny 14/04/28 17:53:15
Modified: eudev-1.3.ebuild eudev-1.4-r1.ebuild
eudev-1.5.3.ebuild eudev-1.6.ebuild
eudev-9999.ebuild eudev-1.5.3-r1.ebuild ChangeLog
Log:
Replace multilib_build_binaries with multilib_is_native_abi, in order to put
an end to the confusion introduced by having two functions, the proper one
suggesting it is just for binaries.
(Portage version: 2.2.10/cvs/Linux x86_64, signed Manifest commit with key
EFB4464E!)
Revision Changes Path
1.17 sys-fs/eudev/eudev-1.3.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/eudev/eudev-1.3.ebuild?rev=1.17&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/eudev/eudev-1.3.ebuild?rev=1.17&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/eudev/eudev-1.3.ebuild?r1=1.16&r2=1.17
Index: eudev-1.3.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-fs/eudev/eudev-1.3.ebuild,v
retrieving revision 1.16
retrieving revision 1.17
diff -u -r1.16 -r1.17
--- eudev-1.3.ebuild 28 Mar 2014 18:28:39 -0000 1.16
+++ eudev-1.3.ebuild 28 Apr 2014 17:53:15 -0000 1.17
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-fs/eudev/eudev-1.3.ebuild,v 1.16
2014/03/28 18:28:39 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-fs/eudev/eudev-1.3.ebuild,v 1.17
2014/04/28 17:53:15 mgorny Exp $
EAPI="5"
@@ -140,7 +140,7 @@
# Only build libudev for non-native_abi, and only install it to libdir,
# that means all options only apply to native_abi
- if multilib_build_binaries; then econf_args+=(
+ if multilib_is_native_abi; then econf_args+=(
--with-rootlibdir=/$(get_libdir)
$(use_enable doc gtk-doc)
$(use_enable gudev)
@@ -161,7 +161,7 @@
multilib_src_compile()
{
- if ! multilib_build_binaries; then
+ if ! multilib_is_native_abi; then
cd src/libudev || die "Could not change directory"
fi
emake
@@ -169,7 +169,7 @@
multilib_src_install()
{
- if ! multilib_build_binaries; then
+ if ! multilib_is_native_abi; then
cd src/libudev || die "Could not change directory"
fi
emake DESTDIR="${D}" install
@@ -182,7 +182,7 @@
# but sandbox seems to evaluate the paths of the test i/o instead of the
# paths of the actual i/o that results.
# also only test for native abi
- if multilib_build_binaries; then
+ if multilib_is_native_abi; then
addread /sys
addwrite /dev
addwrite /run
1.3 sys-fs/eudev/eudev-1.4-r1.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/eudev/eudev-1.4-r1.ebuild?rev=1.3&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/eudev/eudev-1.4-r1.ebuild?rev=1.3&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/eudev/eudev-1.4-r1.ebuild?r1=1.2&r2=1.3
Index: eudev-1.4-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-fs/eudev/eudev-1.4-r1.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- eudev-1.4-r1.ebuild 28 Mar 2014 18:28:39 -0000 1.2
+++ eudev-1.4-r1.ebuild 28 Apr 2014 17:53:15 -0000 1.3
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-fs/eudev/eudev-1.4-r1.ebuild,v 1.2
2014/03/28 18:28:39 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-fs/eudev/eudev-1.4-r1.ebuild,v 1.3
2014/04/28 17:53:15 mgorny Exp $
EAPI="5"
@@ -138,7 +138,7 @@
# Only build libudev for non-native_abi, and only install it to libdir,
# that means all options only apply to native_abi
- if multilib_build_binaries; then econf_args+=(
+ if multilib_is_native_abi; then econf_args+=(
--with-rootlibdir=/$(get_libdir)
$(use_enable doc gtk-doc)
$(use_enable gudev)
@@ -159,7 +159,7 @@
multilib_src_compile()
{
- if ! multilib_build_binaries; then
+ if ! multilib_is_native_abi; then
cd src/libudev || die "Could not change directory"
fi
emake
@@ -167,7 +167,7 @@
multilib_src_install()
{
- if ! multilib_build_binaries; then
+ if ! multilib_is_native_abi; then
cd src/libudev || die "Could not change directory"
fi
emake DESTDIR="${D}" install
@@ -180,7 +180,7 @@
# but sandbox seems to evaluate the paths of the test i/o instead of the
# paths of the actual i/o that results.
# also only test for native abi
- if multilib_build_binaries; then
+ if multilib_is_native_abi; then
addread /sys
addwrite /dev
addwrite /run
1.3 sys-fs/eudev/eudev-1.5.3.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/eudev/eudev-1.5.3.ebuild?rev=1.3&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/eudev/eudev-1.5.3.ebuild?rev=1.3&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/eudev/eudev-1.5.3.ebuild?r1=1.2&r2=1.3
Index: eudev-1.5.3.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-fs/eudev/eudev-1.5.3.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- eudev-1.5.3.ebuild 28 Mar 2014 18:28:39 -0000 1.2
+++ eudev-1.5.3.ebuild 28 Apr 2014 17:53:15 -0000 1.3
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-fs/eudev/eudev-1.5.3.ebuild,v 1.2
2014/03/28 18:28:39 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-fs/eudev/eudev-1.5.3.ebuild,v 1.3
2014/04/28 17:53:15 mgorny Exp $
EAPI="5"
@@ -138,7 +138,7 @@
# Only build libudev for non-native_abi, and only install it to libdir,
# that means all options only apply to native_abi
- if multilib_build_binaries; then econf_args+=(
+ if multilib_is_native_abi; then econf_args+=(
--with-rootlibdir=/$(get_libdir)
$(use_enable doc gtk-doc)
$(use_enable gudev)
@@ -159,7 +159,7 @@
multilib_src_compile()
{
- if ! multilib_build_binaries; then
+ if ! multilib_is_native_abi; then
cd src/libudev || die "Could not change directory"
fi
emake
@@ -167,7 +167,7 @@
multilib_src_install()
{
- if ! multilib_build_binaries; then
+ if ! multilib_is_native_abi; then
cd src/libudev || die "Could not change directory"
fi
emake DESTDIR="${D}" install
@@ -180,7 +180,7 @@
# but sandbox seems to evaluate the paths of the test i/o instead of the
# paths of the actual i/o that results.
# also only test for native abi
- if multilib_build_binaries; then
+ if multilib_is_native_abi; then
addread /sys
addwrite /dev
addwrite /run
1.3 sys-fs/eudev/eudev-1.6.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/eudev/eudev-1.6.ebuild?rev=1.3&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/eudev/eudev-1.6.ebuild?rev=1.3&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/eudev/eudev-1.6.ebuild?r1=1.2&r2=1.3
Index: eudev-1.6.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-fs/eudev/eudev-1.6.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- eudev-1.6.ebuild 15 Apr 2014 23:15:18 -0000 1.2
+++ eudev-1.6.ebuild 28 Apr 2014 17:53:15 -0000 1.3
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-fs/eudev/eudev-1.6.ebuild,v 1.2
2014/04/15 23:15:18 blueness Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-fs/eudev/eudev-1.6.ebuild,v 1.3
2014/04/28 17:53:15 mgorny Exp $
EAPI="5"
@@ -145,7 +145,7 @@
# Only build libudev for non-native_abi, and only install it to libdir,
# that means all options only apply to native_abi
- if multilib_build_binaries; then
+ if multilib_is_native_abi; then
econf_args+=(
--with-rootlibdir=/$(get_libdir)
$(use_enable doc gtk-doc)
@@ -165,7 +165,7 @@
}
multilib_src_compile() {
- if multilib_build_binaries; then
+ if multilib_is_native_abi; then
emake
else
emake -C src/libudev
@@ -174,7 +174,7 @@
}
multilib_src_install() {
- if multilib_build_binaries; then
+ if multilib_is_native_abi; then
emake DESTDIR="${D}" install
else
emake -C src/libudev DESTDIR="${D}" install
@@ -188,7 +188,7 @@
# but sandbox seems to evaluate the paths of the test i/o instead of the
# paths of the actual i/o that results.
# also only test for native abi
- if multilib_build_binaries; then
+ if multilib_is_native_abi; then
addread /sys
addwrite /dev
addwrite /run
1.50 sys-fs/eudev/eudev-9999.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/eudev/eudev-9999.ebuild?rev=1.50&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/eudev/eudev-9999.ebuild?rev=1.50&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/eudev/eudev-9999.ebuild?r1=1.49&r2=1.50
Index: eudev-9999.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-fs/eudev/eudev-9999.ebuild,v
retrieving revision 1.49
retrieving revision 1.50
diff -u -r1.49 -r1.50
--- eudev-9999.ebuild 15 Apr 2014 23:15:18 -0000 1.49
+++ eudev-9999.ebuild 28 Apr 2014 17:53:15 -0000 1.50
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-fs/eudev/eudev-9999.ebuild,v 1.49
2014/04/15 23:15:18 blueness Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-fs/eudev/eudev-9999.ebuild,v 1.50
2014/04/28 17:53:15 mgorny Exp $
EAPI="5"
@@ -145,7 +145,7 @@
# Only build libudev for non-native_abi, and only install it to libdir,
# that means all options only apply to native_abi
- if multilib_build_binaries; then
+ if multilib_is_native_abi; then
econf_args+=(
--with-rootlibdir=/$(get_libdir)
$(use_enable doc gtk-doc)
@@ -165,7 +165,7 @@
}
multilib_src_compile() {
- if multilib_build_binaries; then
+ if multilib_is_native_abi; then
emake
else
emake -C src/libudev
@@ -174,7 +174,7 @@
}
multilib_src_install() {
- if multilib_build_binaries; then
+ if multilib_is_native_abi; then
emake DESTDIR="${D}" install
else
emake -C src/libudev DESTDIR="${D}" install
@@ -188,7 +188,7 @@
# but sandbox seems to evaluate the paths of the test i/o instead of the
# paths of the actual i/o that results.
# also only test for native abi
- if multilib_build_binaries; then
+ if multilib_is_native_abi; then
addread /sys
addwrite /dev
addwrite /run
1.6 sys-fs/eudev/eudev-1.5.3-r1.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/eudev/eudev-1.5.3-r1.ebuild?rev=1.6&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/eudev/eudev-1.5.3-r1.ebuild?rev=1.6&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/eudev/eudev-1.5.3-r1.ebuild?r1=1.5&r2=1.6
Index: eudev-1.5.3-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-fs/eudev/eudev-1.5.3-r1.ebuild,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- eudev-1.5.3-r1.ebuild 5 Apr 2014 20:28:17 -0000 1.5
+++ eudev-1.5.3-r1.ebuild 28 Apr 2014 17:53:15 -0000 1.6
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-fs/eudev/eudev-1.5.3-r1.ebuild,v 1.5
2014/04/05 20:28:17 jer Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-fs/eudev/eudev-1.5.3-r1.ebuild,v 1.6
2014/04/28 17:53:15 mgorny Exp $
EAPI="5"
@@ -140,7 +140,7 @@
# Only build libudev for non-native_abi, and only install it to libdir,
# that means all options only apply to native_abi
- if multilib_build_binaries; then econf_args+=(
+ if multilib_is_native_abi; then econf_args+=(
--with-rootlibdir=/$(get_libdir)
$(use_enable doc gtk-doc)
$(use_enable introspection)
@@ -160,7 +160,7 @@
multilib_src_compile()
{
- if multilib_build_binaries; then
+ if multilib_is_native_abi; then
emake
else
emake -C src/libudev
@@ -170,7 +170,7 @@
multilib_src_install()
{
- if multilib_build_binaries; then
+ if multilib_is_native_abi; then
emake DESTDIR="${D}" install
else
emake -C src/libudev DESTDIR="${D}" install
@@ -185,7 +185,7 @@
# but sandbox seems to evaluate the paths of the test i/o instead of the
# paths of the actual i/o that results.
# also only test for native abi
- if multilib_build_binaries; then
+ if multilib_is_native_abi; then
addread /sys
addwrite /dev
addwrite /run
1.103 sys-fs/eudev/ChangeLog
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/eudev/ChangeLog?rev=1.103&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/eudev/ChangeLog?rev=1.103&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/eudev/ChangeLog?r1=1.102&r2=1.103
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-fs/eudev/ChangeLog,v
retrieving revision 1.102
retrieving revision 1.103
diff -u -r1.102 -r1.103
--- ChangeLog 15 Apr 2014 23:15:18 -0000 1.102
+++ ChangeLog 28 Apr 2014 17:53:15 -0000 1.103
@@ -1,6 +1,13 @@
# ChangeLog for sys-fs/eudev
# Copyright 1999- Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-fs/eudev/ChangeLog,v 1.102 2014/04/15
23:15:18 blueness Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-fs/eudev/ChangeLog,v 1.103 2014/04/28
17:53:15 mgorny Exp $
+
+ 28 Apr 2014; Michał Górny <[email protected]> eudev-1.3.ebuild,
+ eudev-1.4-r1.ebuild, eudev-1.5.3-r1.ebuild, eudev-1.5.3.ebuild,
+ eudev-1.6.ebuild, eudev-9999.ebuild:
+ Replace multilib_build_binaries with multilib_is_native_abi, in order to put
+ an end to the confusion introduced by having two functions, the proper one
+ suggesting it is just for binaries.
15 Apr 2014; Anthony G. Basile <[email protected]> eudev-1.6.ebuild,
eudev-9999.ebuild: